services:
  agv_pro:
    build:
      context: .
      dockerfile: Dockerfile
      platforms:
        - linux/amd64
        - linux/arm64
    image: agv_pro_ros2
    container_name: agv_pro_ros2
    network_mode: host
    ipc: host
    devices:
      - "/dev/agvpro_controller:/dev/agvpro_controller"
    group_add:
      - dialout
    environment:
      - ROS_DOMAIN_ID=0
    stdin_open: true
    tty: true
    command: bash
